Skip to main content
GET
List approval requests

Authorizations

x-api-key
string
header
required

Query Parameters

decision
string

Filter by decision status: PENDING, APPROVED, DENIED, EXPIRED (default: PENDING)

Response

List of approval requests

id
string

Approval request ID

taskId
string

Associated task ID

agentId
string

Agent that submitted the action

actionType
string
Example:

"spend_control"

operation
string
Example:

"invoice_payment"

target
string

Counterparty or resource

requestedValue
number | null
Example:

12000

currency
string | null
Example:

"USDC"

triggerPolicy
string
Example:

"human_approval_threshold"

triggerReason
string
Example:

"$12,000 exceeds auto-approve limit of $5,000"

decision
enum<string>
Available options:
PENDING,
APPROVED,
DENIED,
EXPIRED
createdAt
string<date-time>
expiresAt
string<date-time> | null